<?php
/**
* Getting started options
*
* @package HotWP WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function hotwp_getting_started($wp_customize) {

    $wp_customize->add_section( 'sc_hotwp_getting_started', array( 'title' => esc_html__( 'Getting Started', 'hotwp' ), 'description' => esc_html__( 'Thanks for your interest in HotWP! If you have any questions or run into any trouble, please visit us the following links. We will get you fixed up!', 'hotwp' ), 'panel' => 'hotwp_main_options_panel', 'priority' => 5, ) );

    $wp_customize->add_setting( 'hotwp_options[documentation]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new HotWP_Customize_Button_Control( $wp_customize, 'hotwp_documentation_control', array( 'label' => esc_html__( 'Documentation', 'hotwp' ), 'section' => 'sc_hotwp_getting_started', 'settings' => 'hotwp_options[documentation]', 'type' => 'button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => 'https://themesdna.com/hotwp-wordpress-theme/', 'button_target' => '_blank', ) ) );

    $wp_customize->add_setting( 'hotwp_options[contact]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new HotWP_Customize_Button_Control( $wp_customize, 'hotwp_contact_control', array( 'label' => esc_html__( 'Contact Us', 'hotwp' ), 'section' => 'sc_hotwp_getting_started', 'settings' => 'hotwp_options[contact]', 'type' => 'button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => 'https://themesdna.com/contact/', 'button_target' => '_blank', ) ) );

}