<?php
/**
* Other options
*
* @package HotWP WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function hotwp_other_options($wp_customize) {

    $wp_customize->add_section( 'sc_other_options', array( 'title' => esc_html__( 'Other Options', 'hotwp' ), 'panel' => 'hotwp_main_options_panel', 'priority' => 560 ) );

    $wp_customize->add_setting( 'hotwp_options[enable_widgets_block_editor]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hotwp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'hotwp_enable_widgets_block_editor_control', array( 'label' => esc_html__( 'Enable Gutenberg Widget Block Editor', 'hotwp' ), 'section' => 'sc_other_options', 'settings' => 'hotwp_options[enable_widgets_block_editor]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'hotwp_options[enable_sticky_mobile_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hotwp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'hotwp_enable_sticky_mobile_menu_control', array( 'label' => esc_html__( 'Enable Sticky Menu on Small Screen', 'hotwp' ), 'section' => 'sc_other_options', 'settings' => 'hotwp_options[enable_sticky_mobile_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'hotwp_options[disable_primary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hotwp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'hotwp_disable_primary_menu_control', array( 'label' => esc_html__( 'Disable Primary Menu', 'hotwp' ), 'section' => 'sc_other_options', 'settings' => 'hotwp_options[disable_primary_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'hotwp_options[disable_secondary_menu]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hotwp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'hotwp_disable_secondary_menu_control', array( 'label' => esc_html__( 'Disable Secondary Menu', 'hotwp' ), 'section' => 'sc_other_options', 'settings' => 'hotwp_options[disable_secondary_menu]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'hotwp_options[hide_home_link]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hotwp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'hotwp_hide_home_link_control', array( 'label' => esc_html__( 'Hide Home Link from Default Menus', 'hotwp' ), 'section' => 'sc_other_options', 'settings' => 'hotwp_options[hide_home_link]', 'type' => 'checkbox', ) );

}