<?php
/**
* Social profiles options
*
* @package HotWP WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function hotwp_social_profiles($wp_customize) {

    $wp_customize->add_section( 'sc_hotwp_sociallinks', array( 'title' => esc_html__( 'Social Links', 'hotwp' ), 'panel' => 'hotwp_main_options_panel', 'priority' => 400, ));

    $wp_customize->add_setting( 'hotwp_options[hide_header_social_buttons]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hotwp_sanitize_checkbox', ) );

    $wp_customize->add_control( 'hotwp_hide_header_social_buttons_control', array( 'label' => esc_html__( 'Hide Header Social Buttons', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[hide_header_social_buttons]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'hotwp_options[twitterlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_twitterlink_control', array( 'label' => esc_html__( 'Twitter URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[twitterlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[facebooklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_facebooklink_control', array( 'label' => esc_html__( 'Facebook URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[facebooklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[googlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) ); 

    $wp_customize->add_control( 'hotwp_googlelink_control', array( 'label' => esc_html__( 'Google Plus URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[googlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[pinterestlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_pinterestlink_control', array( 'label' => esc_html__( 'Pinterest URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[pinterestlink]', 'type' => 'text' ) );
    
    $wp_customize->add_setting( 'hotwp_options[linkedinlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_linkedinlink_control', array( 'label' => esc_html__( 'Linkedin Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[linkedinlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[instagramlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_instagramlink_control', array( 'label' => esc_html__( 'Instagram Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[instagramlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[vklink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_vklink_control', array( 'label' => esc_html__( 'VK Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[vklink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[flickrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_flickrlink_control', array( 'label' => esc_html__( 'Flickr Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[flickrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[youtubelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_youtubelink_control', array( 'label' => esc_html__( 'Youtube URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[youtubelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[vimeolink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_vimeolink_control', array( 'label' => esc_html__( 'Vimeo URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[vimeolink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[soundcloudlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_soundcloudlink_control', array( 'label' => esc_html__( 'Soundcloud URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[soundcloudlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[lastfmlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_lastfmlink_control', array( 'label' => esc_html__( 'Lastfm URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[lastfmlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[githublink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_githublink_control', array( 'label' => esc_html__( 'Github URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[githublink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[bitbucketlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_bitbucketlink_control', array( 'label' => esc_html__( 'Bitbucket URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[bitbucketlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[tumblrlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_tumblrlink_control', array( 'label' => esc_html__( 'Tumblr URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[tumblrlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[digglink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_digglink_control', array( 'label' => esc_html__( 'Digg URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[digglink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[deliciouslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_deliciouslink_control', array( 'label' => esc_html__( 'Delicious URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[deliciouslink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[stumblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_stumblelink_control', array( 'label' => esc_html__( 'Stumbleupon Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[stumblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[redditlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_redditlink_control', array( 'label' => esc_html__( 'Reddit Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[redditlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[dribbblelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_dribbblelink_control', array( 'label' => esc_html__( 'Dribbble Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[dribbblelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[behancelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_behancelink_control', array( 'label' => esc_html__( 'Behance Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[behancelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[codepenlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_codepenlink_control', array( 'label' => esc_html__( 'Codepen Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[codepenlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[jsfiddlelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_jsfiddlelink_control', array( 'label' => esc_html__( 'JSFiddle Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[jsfiddlelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[stackoverflowlink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_stackoverflowlink_control', array( 'label' => esc_html__( 'Stack Overflow Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[stackoverflowlink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[stackexchangelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_stackexchangelink_control', array( 'label' => esc_html__( 'Stack Exchange Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[stackexchangelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[bsalink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_bsalink_control', array( 'label' => esc_html__( 'BuySellAds Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[bsalink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[slidesharelink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_slidesharelink_control', array( 'label' => esc_html__( 'SlideShare Link', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[slidesharelink]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[skypeusername]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( 'hotwp_skypeusername_control', array( 'label' => esc_html__( 'Skype Username', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[skypeusername]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[emailaddress]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'hotwp_sanitize_email' ) );

    $wp_customize->add_control( 'hotwp_emailaddress_control', array( 'label' => esc_html__( 'Email Address', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[emailaddress]', 'type' => 'text' ) );

    $wp_customize->add_setting( 'hotwp_options[rsslink]', array( 'default' => '', 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'esc_url_raw' ) );

    $wp_customize->add_control( 'hotwp_rsslink_control', array( 'label' => esc_html__( 'RSS Feed URL', 'hotwp' ), 'section' => 'sc_hotwp_sociallinks', 'settings' => 'hotwp_options[rsslink]', 'type' => 'text' ) );

}