<?php
/**
* Slider
*
* @package HotWP WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

if ( ! function_exists( 'hotwp_slider' ) ) :

function hotwp_slider() { ?>
<div class="hotwp-posts-carousel-wrapper">

    <?php
    $slider_length = 5;
    if ( hotwp_get_option('slider_length') ) {
        $slider_length = hotwp_get_option('slider_length');
    }

    $slider_post_type = 'recent-posts';
    if ( hotwp_get_option('slider_post_type') ) {
        $slider_post_type = hotwp_get_option('slider_post_type');
    }

    $slider_cat = hotwp_get_option('slider_cat');

    if(($slider_post_type === 'category-posts') && $slider_cat) {
        $slider_query = new WP_Query("orderby=date&showposts=".$slider_length."&nopaging=0&post_status=publish&ignore_sticky_posts=1&post_type=post&cat=$slider_cat");
    } else {
        $slider_query = new WP_Query("orderby=date&showposts=".$slider_length."&nopaging=0&post_status=publish&ignore_sticky_posts=1&post_type=post");
    }

    if ($slider_query->have_posts()) : ?>

    <div class="hotwp-posts-carousel">
    <div class="owl-carousel">
    <?php while ($slider_query->have_posts()) : $slider_query->the_post();  ?>
    <div class="hotwp-slide-item">
        <?php if(has_post_thumbnail()) { ?>
            <?php the_post_thumbnail('hotwp-featured-image', array('class' => 'hotwp-fp07-post-thumbnail-img', 'title' => the_title_attribute('echo=0'))); ?>
        <?php } else { ?>
            <img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/no-image-675-360.jpg' ); ?>" class="hotwp-fp07-post-thumbnail-img"/>
        <?php } ?>
        <div class="text-over">
            <?php
            if ( !(hotwp_get_option('hide_slide_cats')) ) {
            if ( 'post' == get_post_type() ) {
                /* translators: used between list items, there is a space */
                $categories_list = get_the_category_list( ' ' );
                if ( $categories_list ) {
                    /* translators: 1: list of categories. */
                    printf( '<div class="hotwp-carousel-post-categories">' . __( '<span class="hotwp-sr-only">Posted in </span>%1$s', 'hotwp' ) . '</div>', $categories_list ); /* phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped */
                }
            }
            }
            ?>
            <h4 class="hotwp-carousel-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php /* translators: %s: post title. */ echo esc_attr( sprintf( __( 'Permanent Link to %s', 'hotwp' ), the_title_attribute( 'echo=0' ) ) ); ?>"><?php the_title(); ?></a></h4>
            <?php if ( !(hotwp_get_option('hide_slide_author')) || !(hotwp_get_option('hide_slide_date')) || !(hotwp_get_option('hide_slide_comments')) ) { ?>
            <div class="hotwp-carousel-post-footer">
            <?php if ( !(hotwp_get_option('hide_slide_author')) ) { ?><span class="hotwp-carousel-post-author hotwp-carousel-post-meta"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><span class="hotwp-sr-only"><?php esc_html_e('Author: ', 'hotwp'); ?></span><?php echo esc_html( get_the_author() ); ?></a></span><?php } ?>
            <?php if ( !(hotwp_get_option('hide_slide_date')) ) { ?><span class="hotwp-carousel-post-date hotwp-carousel-post-meta"><span class="hotwp-sr-only"><?php esc_html_e('Published Date: ', 'hotwp'); ?></span><?php echo esc_html( get_the_date('Y-m-d') ); ?></span><?php } ?>
            <?php if ( !(hotwp_get_option('hide_slide_comments')) ) { ?><span class="hotwp-carousel-post-comment hotwp-carousel-post-meta"><?php comments_popup_link( sprintf( wp_kses( /* translators: %s: post title */ __( '0 Comments<span class="hotwp-sr-only"> on %s</span>', 'hotwp' ), array( 'span' => array( 'class' => array(), ), ) ), wp_kses_post( get_the_title() ) ) ); ?></span><?php } ?>
            </div>
            <?php } ?>
        </div>
    </div>
    <?php endwhile; ?>
    </div>
    </div>

    <?php wp_reset_postdata();  // Restore global post data stomped by the_post().
    endif; ?>

</div>
<?php }

endif;